class PosUser(object):
    def __init__(
        self,       # type: PosUser
        id,         # type: int
        name,       # type: str
        level,      # type: int
    ):

        self.id = id
        self.name = name
        self.level = level

    def __str__(self):
        return """PosUser(
            id={},
            name={},
            level={}
        )""".format(self.id, self.name, self.level)

    def __repr__(self):
        return self.__str__()

    def __eq__(self, other):
        if not isinstance(other, PosUser):
            return False

        return self.__str__() == other.__str__()
